WrappedInputStream (Groovy 4.0.15)

Package: org.apache.groovy.groovysh.util

## [Groovy] Class WrappedInputStream

- org.apache.groovy.groovysh.util.WrappedInputStream

- All Implemented Interfaces and Traits:
    Closeable

      class WrappedInputStream
      extends InputStream
      implements Closeable

  In order to modify JLine Behavior, we need to wrap the IO streams so we can hack into them This allows autoindent and redisplaying the chars typed so far after exceptions during completion

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ByteArrayInputStream` | `inserted`
    `InputStream` | `wrapped`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WrappedInputStream(InputStream wrapped)` Construct a new IO container using system streams.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `available()`
    `` | `void` | `close()`
    `` | `void` | `insert(String chars)`
    `` | `void` | `mark(int readlimit)`
    `` | `boolean` | `markSupported()`
    `` | `int` | `read()`
    `` | `int` | `read(byte[] b)`
    `` | `int` | `read(byte[] b, int off, int len)`
    `` | `void` | `reset()`
    `` | `long` | `skip(long n)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class InputStream` | `read, read, read, close, mark, readAllBytes, readNBytes, readNBytes, transferTo, skip, available, markSupported, reset, nullInputStream, skipNBytes, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### ByteArrayInputStream inserted

    - #### final InputStream wrapped

  - ### Constructor Detail

    - #### WrappedInputStream(InputStream wrapped)

      Construct a new IO container using system streams.

  - ### Method Detail

    - #### @Override
      int available()

    - #### @Override
      void close()

    - #### void insert(String chars)

    - #### @Override
      void mark(int readlimit)

    - #### @Override
      boolean markSupported()

    - #### @Override
      int read()

    - #### @Override
      int read(byte[] b)

    - #### @Override
      int read(byte[] b, int off, int len)

    - #### @Override
      void reset()

    - #### @Override
      long skip(long n)